Subject: Re: [devuan-dev] bug#500: Package: usbmuxd calls systemd in its udev rules so it will never start in Devuan

From: Vernon Van Steenkist <[email-masked]>
Date: Thu, 30 Jul 2020 22:25:51 -0400

Mark,

On 7/30/20 5:22 AM, Mark Hindley wrote:
[...|
> I agree that the current actions of some Debian maintainers in actively removing
> non-systemd functionality is very unhelpful. My personal opinion is that by
> accepting such actions unchallenged we risk them increasing on a 'nobody noticed
> or complained so nobody cares' basis. If the current trickle increases
> substantially, Devuan's limited person-power could easily be overstretched.

Agree. Especially considering Devuan's limited person-power. However, 
these Devuan Beowulf systemd dependency issues are accumulating as well 
- NetworkManager, PulseAudio to name a few. A quick grep -li systemd 
/lib/udev/rules.d/* indicates there may be others.

I think it would be helpful to have some central place where all Devuan 
systemd dependencies and their workarounds are stored. Currently, the 
workarounds are scattered around different posts in the Devuan forum 
making them non-trivial to find. Initially, I though it would be a good 
idea to create a new Devuan forum category to hold these Devuan systemd 
dependency workaround.

However, today I found out that there is a friends of devuan wiki and I 
now think that may be a better place. I don't know the relationship 
between friends of devuan and the main devuan project and why I could 
find no link to this wiki on the devuan.org web site. Is there a risk 
that the friends of devuan could become the fiends of devuan :) ?

What do you think?

> So I think that a bug that can be demonstrated on a non-systemd PID1 Debian
> system shold be fixed in Debian.  I accept that maybe easier said than done: I
> have a number of Debian bugs open that are being ignored and I realise how
> frustrating it is.
>
> My suggestion is to retitle your Debian bug #966403 to mention non-systemd PID1
> rather than Devuan and add a patch (and patch tag) to reintroduce legacy udev
> support. And then be persistent until you get a response.
>
> How do you feel about that?

I agree and have changed the title and added additional clarification.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=966403

I am all new to this and don't know the best way to pester Debian 
developers. Any thoughts are appreciated.

Thanks for all your responses.

Vernon